## ros-kinetic-dsr-control 0.9.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(dsr_control)
add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  dsr_msgs
  controller_manager
  hardware_interface
  serial
  roscpp
)
catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS dsr_msgs controller_manager hardware_interface roscpp serial
)

SET( COMMON_INC_FILES
  #../../../common/include
  ../common/include
)
SET( COMMON_LIB_FILES
  ../common/lib
)

SET( SERIAL_SRC_FILES
  ../common/src/dsr_serial.cpp
)


include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${COMMON_INC_FILES}
)

SET( SRC_FILES
  ${SERIAL_SRC_FILES}
  src/dsr_hw_interface.cpp
  src/dsr_control_node.cpp
)

LINK_LIBRARIES(DRFL PocoFoundation PocoNet)

if($ENV{ROS_DISTRO} STREQUAL "kinetic")
  # check OS 32bit or 64bit ?  
  if("${CMAKE_SIZEOF_VOID_P}" EQUAL "8")
    LINK_DIRECTORIES ("${COMMON_LIB_FILES}/$ENV{ROS_DISTRO}/x86_64")
  else()
    LINK_DIRECTORIES ("${COMMON_LIB_FILES}/$ENV{ROS_DISTRO}/x86_32")
  endif()
elseif($ENV{ROS_DISTRO} STREQUAL "melodic")
  LINK_DIRECTORIES ("${COMMON_LIB_FILES}/$ENV{ROS_DISTRO}/x86_64")
else()
    message("Unknown ROS distro:")
    message($ENV{ROS_DISTRO})
endif()

add_executable(dsr_control_node ${SRC_FILES})
add_dependencies(dsr_control_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

target_link_libraries(dsr_control_node ${catkin_LIBRARIES})
target_link_libraries(dsr_control_node DRFL PocoFoundation PocoNet)

=== debian/changelog ===
ros-kinetic-dsr-control (0.9.6-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Doosan Robotics <ros.robotics@doosan.com>  Mon, 22 Apr 2019 01:55:38 -0000

ros-kinetic-dsr-control (0.9.5-1xenial) xenial; urgency=high

  * edit dsr_msgs
  * update multinode gripper and delete dsr bringup
  * remove urdf
  * 20190403 update
  * 20190403 update
  * Contributors: doosan-robotics

 -- Doosan Robotics <ros.robotics@doosan.com>  Sun, 21 Apr 2019 15:00:00 -0000

ros-kinetic-dsr-control (0.9.4-1xenial) xenial; urgency=high

  * Emulator commit
  * Contributors: doosan-robotics

 -- Doosan Robotics <ros.robotics@doosan.com>  Sun, 31 Mar 2019 15:00:00 -0000

ros-kinetic-dsr-control (0.9.3-1xenial) xenial; urgency=high



 -- Doosan Robotics <ros.robotics@doosan.com>  Wed, 27 Mar 2019 15:00:00 -0000

ros-kinetic-dsr-control (0.9.1-1xenial) xenial; urgency=high



 -- Doosan Robotics <ros.robotics@doosan.com>  Tue, 26 Mar 2019 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-dsr-control
Section: misc
Priority: extra
Maintainer: Doosan Robotics <ros.robotics@doosan.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-controller-manager, ros-kinetic-dsr-msgs, ros-kinetic-hardware-interface, ros-kinetic-roscpp, ros-kinetic-serial
Homepage: http://wiki.ros.org/doosan_robotics
Standards-Version: 3.9.2

Package: ros-kinetic-dsr-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-controller-manager, ros-kinetic-dsr-msgs, ros-kinetic-hardware-interface, ros-kinetic-roscpp, ros-kinetic-serial
Description: The dsr_control package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-dsr-control//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
